Package wx :: Class ScreenDC

[frames | no frames]

## Type ScreenDC

    object --+
             |
        Object --+
                 |
                DC --+
                     |
                    ScreenDC

A wxScreenDC can be used to paint anywhere on the screen. This should normally be constructed as a temporary stack object; don't store a wxScreenDC object.

Method Summary
ScreenDC | ``__init__`(self)` A wxScreenDC can be used to paint anywhere on the screen.
bool | ``EndDrawingOnTop`(self)` Use this in conjunction with `StartDrawingOnTop` or `StartDrawingOnTopWin` to ensure that drawing to the screen occurs on top of existing windows.
bool | ``StartDrawingOnTop`(self, rect)` Specify that the area is the given rectangle, or the whole screen if `None` is passed.
bool | ``StartDrawingOnTopWin`(self, window)` Specify that the area of the screen to be drawn upon coincides with the given window.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

A wxScreenDC can be used to paint anywhere on the screen. This should normally be constructed as a temporary stack object; don't store a wxScreenDC object.

  Returns:
    ScreenDC
  Overrides:
    `wx.DC.__init__`

### EndDrawingOnTop(self)

Use this in conjunction with `StartDrawingOnTop` or `StartDrawingOnTopWin` to ensure that drawing to the screen occurs on top of existing windows. Without this, some window systems (such as X) only allow drawing to take place underneath other windows.

You might use this pair of functions when implementing a drag feature, for example as in the `wx.SplitterWindow` implementation.

These functions are probably obsolete since the X implementations allow drawing directly on the screen now. However, the fact that this function allows the screen to be refreshed afterwards may be useful to some applications.

  Returns:
    bool

### StartDrawingOnTop(self, rect=None)

Specify that the area is the given rectangle, or the whole screen if `None` is passed.

  Parameters:
    `rect`
    (type=Rect)

  Returns:
    bool

  See Also:

  `EndDrawingOnTop`

### StartDrawingOnTopWin(self, window)

Specify that the area of the screen to be drawn upon coincides with the given window.

  Parameters:
    `window`
    (type=Window)

  Returns:
    bool

  See Also:

  `EndDrawingOnTop`

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:48 2007 | http://epydoc.sf.net